org.wildfly.swarm.config.security.security_domain

## Class ClassicAudit<T extends ClassicAudit<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.security.security_domain.ClassicAudit<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ClassicAudit<T extends ClassicAudit<T>>
      extends HashMap

  Auditing configuration. Configures a list of provider modules to be used.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassicAudit.ClassicAuditResources` Child mutators for ClassicAudit

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicAudit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `providerModule(ProviderModule value)` Add the ProviderModule object to the list of subresources
    `T` | `providerModule(ProviderModuleSupplier supplier)` Install a supplied ProviderModule object to the list of subresources
    `T` | `providerModule(String childKey)` Create and configure a ProviderModule object to the list of subresources
    `T` | `providerModule(String childKey, ProviderModuleConsumer consumer)` Create and configure a ProviderModule object to the list of subresources
    `T` | `providerModules(List<ProviderModule> value)` Add all ProviderModule objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClassicAudit.ClassicAuditResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ClassicAudit

          public ClassicAudit()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClassicAudit.ClassicAuditResources subresources()

    - #### providerModules

          public T providerModules(List<ProviderModule> value)

      Add all ProviderModule objects to this subresource
      Parameters:
        `value` - List of ProviderModule objects.
      Returns:
        this

    - #### providerModule

          public T providerModule(ProviderModule value)

      Add the ProviderModule object to the list of subresources
      Parameters:
        `value` - The ProviderModule to add
      Returns:
        this

    - #### providerModule

          public T providerModule(String childKey,
                                  ProviderModuleConsumer consumer)

      Create and configure a ProviderModule object to the list of subresources
      Parameters:
        `key` - The key for the ProviderModule resource
        `config` - The ProviderModuleConsumer to use
      Returns:
        this

    - #### providerModule

          public T providerModule(String childKey)

      Create and configure a ProviderModule object to the list of subresources
      Parameters:
        `key` - The key for the ProviderModule resource
      Returns:
        this

    - #### providerModule

          public T providerModule(ProviderModuleSupplier supplier)

      Install a supplied ProviderModule object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.